<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDGFSheet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFSheet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFSheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFSheet.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel</div>
    <h2 title="Class XDGFSheet" class="title">Class XDGFSheet</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xdgf.usermodel.XDGFSheet</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPageSheet.html"
                           title="class in org.apache.poi.xdgf.usermodel">XDGFPageSheet</a>, <a
                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                            title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>, <a
                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                            title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">XDGFSheet</span>
extends java.lang.Object</pre>
                <div class="block">A sheet is a collection of properties that specify information for a shape,
                    master, drawing page, style, or web drawing.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_cells">_cells</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">CharacterSection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_character">_character</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_document">_document</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.SortedMap&lt;java.lang.Long,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_geometry">_geometry</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sections">_sections</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected
                                    com.microsoft.schemas.office.visio.x2012.main.SheetType</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sheet">_sheet</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#XDGFSheet-com.microsoft.schemas.office.visio.x2012.main.SheetType-org.apache.poi.xdgf.usermodel.XDGFDocument-">XDGFSheet</a></span>(com.microsoft.schemas.office.visio.x2012.main.SheetType&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getCell-java.lang.String-">getCell</a></span>(java.lang.String&nbsp;cellName)</code>
                                    <div class="block">A cell is really just a setting</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFillStyle--">getFillStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontSize--">getFontSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineCap--">getLineCap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineColor--">getLineColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLinePattern--">getLinePattern</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineStyle--">getLineStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineWeight--">getLineWeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getSection-java.lang.String-">getSection</a></span>(java.lang.String&nbsp;sectionName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getTextStyle--">getTextStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_document">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_document</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a> _document</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_sheet">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_sheet</h4>
                                <pre>protected&nbsp;com.microsoft.schemas.office.visio.x2012.main.SheetType _sheet</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_cells">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_cells</h4>
                                <pre>protected&nbsp;java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt; _cells</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_sections">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_sections</h4>
                                <pre>protected&nbsp;java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a>&gt; _sections</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_geometry">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_geometry</h4>
                                <pre>protected&nbsp;java.util.SortedMap&lt;java.lang.Long,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a>&gt; _geometry</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_character">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_character</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">CharacterSection</a> _character</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDGFSheet-com.microsoft.schemas.office.visio.x2012.main.SheetType-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDGFSheet</h4>
                                <pre>public&nbsp;XDGFSheet(com.microsoft.schemas.office.visio.x2012.main.SheetType&nbsp;sheet,
                 <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                    title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;getDocument()</pre>
                            </li>
                        </ul>
                        <a name="getCell-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&nbsp;getCell(java.lang.String&nbsp;cellName)</pre>
                                <div class="block">A cell is really just a setting</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellName</code> - The particular setting you want</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSection-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSection</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a>&nbsp;getSection(java.lang.String&nbsp;sectionName)</pre>
                            </li>
                        </ul>
                        <a name="getLineStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a>&nbsp;getLineStyle()</pre>
                            </li>
                        </ul>
                        <a name="getFillStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a>&nbsp;getFillStyle()</pre>
                            </li>
                        </ul>
                        <a name="getTextStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a>&nbsp;getTextStyle()</pre>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getFontColor()</pre>
                            </li>
                        </ul>
                        <a name="getFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontSize</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getFontSize()</pre>
                            </li>
                        </ul>
                        <a name="getLineCap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineCap</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getLineCap()</pre>
                            </li>
                        </ul>
                        <a name="getLineColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getLineColor()</pre>
                            </li>
                        </ul>
                        <a name="getLinePattern--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLinePattern</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getLinePattern()</pre>
                            </li>
                        </ul>
                        <a name="getLineWeight--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getLineWeight</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getLineWeight()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFSheet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFSheet.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
